| 0.9.7

- Main Page
- Modules
- Files

Typedefs
GLM_GTX_std_based_type
GTX Extensions (Experimental)

## Typedefs
typedef tvec1< std::size_t, defaultp > | size1
typedef tvec1< std::size_t, defaultp > | size1_t
typedef tvec2< std::size_t, defaultp > | size2
typedef tvec2< std::size_t, defaultp > | size2_t
typedef tvec3< std::size_t, defaultp > | size3
typedef tvec3< std::size_t, defaultp > | size3_t
typedef tvec4< std::size_t, defaultp > | size4
typedef tvec4< std::size_t, defaultp > | size4_t

## Detailed Description

Adds vector types based on STL value types.

<glm/gtx/std_based_type.hpp> need to be included to use these functionalities.

## Typedef Documentation

typedef tvec1<std::size_t, defaultp> size1

Vector type based of one std::size_t component.

See also
  GLM_GTX_std_based_type

Definition at line 59 of file std_based_type.hpp.

typedef tvec1<std::size_t, defaultp> size1_t

Vector type based of one std::size_t component.

See also
  GLM_GTX_std_based_type

Definition at line 75 of file std_based_type.hpp.

typedef tvec2<std::size_t, defaultp> size2

Vector type based of two std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 63 of file std_based_type.hpp.

typedef tvec2<std::size_t, defaultp> size2_t

Vector type based of two std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 79 of file std_based_type.hpp.

typedef tvec3<std::size_t, defaultp> size3

Vector type based of three std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 67 of file std_based_type.hpp.

typedef tvec3<std::size_t, defaultp> size3_t

Vector type based of three std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 83 of file std_based_type.hpp.

typedef tvec4<std::size_t, defaultp> size4

Vector type based of four std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 71 of file std_based_type.hpp.

typedef tvec4<std::size_t, defaultp> size4_t

Vector type based of four std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 87 of file std_based_type.hpp.